# $Revision: 1.12 $, $Date: 2005/06/06 13:18:28 $
Summary:	IAX (Inter Asterisk eXchange) library
Summary(pl):	Biblioteka IAX (Inter Asterisk eXchange)
Name:		iax
Version:	0.2.2
Release:	3
License:	LGPL/GPL
Group:		Libraries
Source0:	ftp://ftp.gnophone.com/pub/gnophone/%{name}-%{version}.tar.gz
#Source0-md5:	d9c14e0a2ad9cb710761795a3497a21c
Patch0:		%{name}-DESTDIR.patch
URL:		http://www.gnophone.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Inter Asterisk eXchange, lovingly called IAX (pronounced: eeks), is
the protocol used by the Asterisk PBX system for
inter-asterisk-communication. Other applications may use libiax to
communicate with each other and other asterisk servers. IAX is a high
performance, feature rich protocol unrelated to SIP or H.323. Its
single-socket design allows it to interoperate with NAT and PAT
masquerade firewalls. It supports internationalization, remote
dialplans, and voice, HTML, image, DTMF, and video content. For more
information see http://www.gnophone.com/.

%description -l pl
Inter Asterisk eXchange, z luboci nazywany IAX (wymawiany "eeks") to
protok uywany przez system PBX Asterisk do wewntrznej komunikacji.
Inne aplikacje mog uywa libiax do komunikowania ze sob i innymi
serwerami asterisk. IAX to wysoko wydajny, bogaty w moliwoci
protok nie powizany z SIP czy H.323. Jego jednogniazdowa
architektura pozwala wsppracowa z firewallami z maskowaniem NAT i
PAT. Biblioteka wspiera umidzynarodowienie, zdalne plany dzwonienia
oraz dane w postaci gosu, HTML-a, obrazkw, DTMF i obrazu. Wicej
informacji pod adresem http://www.gnophone.com/.

%package devel
Summary:	IAX (Inter Asterisk eXchange) development package
Summary(pl):	Pliki nagwkowe dla biblioteki IAX
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Inter Asterisk eXchange, lovingly called IAX (pronounced: eeks), is
the protocol used by the Asterisk PBX system for
inter-asterisk-communication. Other applications may use libiax to
communicate with each other and other asterisk servers. IAX is a high
performance, feature rich protocol unrelated to SIP or H.323. Its
single-socket design allows it to interoperate with NAT and PAT
masquerade firewalls. It supports internationalization, remote
dialplans, and voice, HTML, image, DTMF, and video content. For more
information see http://www.gnophone.com/. This package contains all of
the development files that you will need in order to compile IAX
applications.

%description devel -l pl
Inter Asterisk eXchange, z luboci nazywany IAX (wymawiany "eeks") to
protok uywany przez system PBX Asterisk do wewntrznej komunikacji.
Inne aplikacje mog uywa libiax do komunikowania ze sob i innymi
serwerami asterisk. IAX to wysoko wydajny, bogaty w moliwoci
protok nie powizany z SIP czy H.323. Jego jednogniazdowa
architektura pozwala wsppracowa z firewallami z maskowaniem NAT i
PAT. Biblioteka wspiera umidzynarodowienie, zdalne plany dzwonienia
oraz dane w postaci gosu, HTML-a, obrazkw, DTMF i obrazu. Wicej
informacji pod adresem http://www.gnophone.com/. Ten pakiet zawiera
wszystkie pliki potrzebne do kompilowania aplikacji IAX.

%package static
Summary:	IAX (Inter Asterisk eXchange) static library
Summary(pl):	Wersja statyczna biblioteki IAX
Requires:	iax = %{version}
Requires:	iax-devel = %{version}
Group:		Development/Libraries

%description static
Inter Asterisk eXchange, lovingly called IAX (pronounced: eeks), is
the protocol used by the Asterisk PBX system for
inter-asterisk-communication. Other applications may use libiax to
communicate with each other and other asterisk servers. IAX is a high
performance, feature rich protocol unrelated to SIP or H.323. Its
single-socket design allows it to interoperate with NAT and PAT
masquerade firewalls. It supports internationalization, remote
dialplans, and voice, HTML, image, DTMF, and video content. For more
information see <http://www.gnophone.com/>. This package contains
static libraries that you will need in order to compile statically
linked IAX applications.

%description static -l pl
Inter Asterisk eXchange, z luboci nazywany IAX (wymawiany "eeks") to
protok uywany przez system PBX Asterisk do wewntrznej komunikacji.
Inne aplikacje mog uywa libiax do komunikowania ze sob i innymi
serwerami asterisk. IAX to wysoko wydajny, bogaty w moliwoci
protok nie powizany z SIP czy H.323. Jego jednogniazdowa
architektura pozwala wsppracowa z firewallami z maskowaniem NAT i
PAT. Biblioteka wspiera umidzynarodowienie, zdalne plany dzwonienia
oraz dane w postaci gosu, HTML-a, obrazkw, DTMF i obrazu. Wicej
informacji pod adresem <http://www.gnophone.com/>. Ten pakiet zawiera
statyczne biblioteki potrzebne do kompilowania statycznie
konsolidowanych aplikacji IAX.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/iax-config
%attr(755,root,root) %{_libdir}/libiax.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/iax

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iax.spec,v $
Revision 1.12  2005/06/06 13:18:28  averne
- rel 3

Revision 1.11  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.10  2004/02/24 01:11:56  ankry
- pl fixes, cosmetics

Revision 1.9  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powoka

Revision 1.8  2003/06/16 20:25:24  qboosh
- pl descriptions

Revision 1.7  2003/06/16 09:52:46  qboosh
- added ldconfig, missing dir and link, use plain install, cosmetics

Revision 1.6  2003/06/15 21:21:04  blues
- cosmetics

Revision 1.5  2003/06/15 20:53:49  adamg
- adapterized

Revision 1.4  2003/06/15 20:26:46  adasi
 - descriptions/summaries EN

Revision 1.3  2003/06/15 20:21:51  mmazur
- works

Revision 1.2  2003/06/15 18:31:47  adasi
 - blah, added missing Source0-md5

Revision 1.1  2003/06/15 18:31:08  adasi
 - initial rev
 - TODO: descriptions, requires, breqs, blah blah
